XENBUS(4)

NAME
xenbus - Xen bus abstraction for paravirtualized drivers

SYNOPSIS
xenbus* at hypervisor?

DESCRIPTION
The xenbus interface offers an abstraction layer used for communications between domains. xenbus is mainly used by split paravirtualized drivers, so backend and frontend devices can exchange configuration information, properties, and statistics.

xenbus is not used for data transfer (network frames, blocks, PCI commands, ...). This functionality is implemented by each paravirtualized driver independently, typically via shared memory pages and an event channel that serves as a virtual interrupt, for signaling.

The xenbus abstraction offers guests the possibility to read and write information directly from and to XenStore, a centralized database accessible to all domains. For this reason, it also has an event channel associated to it, so that domains can post messages to the XenStore facility.

DIAGNOSTICS

xenbus0: using event channel %d The event channel associated to the xenbus interface, for communication with the XenStore database.

SEE ALSO
pciback(4), xbd(4), xbdback(4), xennet(4), xpci(4), xvif(4)

HISTORY
The xenbus driver first appeared in NetBSD 3.0.

AUTHORS
-nosplit The xenbus driver was written by Manuel Bouyer <bouyer@NetBSD.org>.